Subject: linux-next: build failure after merge of the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 19 Feb 2013 12:17:22 +1100

Hi all,

After merging the net-next tree, today's linux-next build (x86_64
allmodconfig) failed like this:

net/ipv6/xfrm6_policy.c: In function 'xfrm6_dst_destroy':
net/ipv6/xfrm6_policy.c:238:6: error: 'struct rt6_info' has no member named 'n'
net/ipv6/xfrm6_policy.c:239:28: error: 'struct rt6_info' has no member named 'n'

Caused by commit 887c95cc1da5 ("ipv6: Complete neighbour entry removal
from dst_entry") interacting with commit 18cf0d0784b4 ("xfrm: release
neighbor upon dst destruction") from the net tree.

I assume that the problem fixed by the net tree commit is fixed some
other way in the net-next tree, so I reverted the net tree commit.

-- 
Cheers,
Stephen Rothwell                    [email-masked]